create
    table
        if not exists restaurante(
            id int8 not null generated by default as identity,
            nome varchar(50) null,
            localizacao_id int8 not null,
            constraint restaurante_pkey primary key(id)
        );

alter table
    restaurante add constraint res_loc foreign key(localizacao_id) references localizacao(id);